#!/usr/bin/env python

import os.path

from nestly import Nest

ALN = os.path.abspath('refs.aln.phy')

with open(ALN) as fp:
    n_seqs = int(next(fp).split()[0])


n = Nest(base_dict={'alignment': ALN, 'n_seqs': n_seqs})
n.add('k', lambda c: range(1, c['n_seqs'], 5), label_func='{0:02d}'.format)
n.build()
