#!/usr/bin/env Rscript

library(ggplot2)

source('../plot_common.R')

main <- function(source, n_seqs, target) {
  adcls <- read.csv(source, as.is=TRUE)

  p <- ggplot(adcls, aes(x=factor(k), y=adcl)) +
    geom_boxplot() +
    xlab("k") +
    ylab("Bootstrap ADCL")
    #opts(title="ADCL variance over 500 bootstraps\nvarying k") +

  ggsave(target, p, width=plot_width, height=plot_height)
}

if (!interactive()) {
  args <- commandArgs(TRUE)
  stopifnot(length(args) == 3)
  source <- args[1]
  n_seqs <- as.integer(args[2])
  target <- args[3]
  main(source, n_seqs, target)
}
